// JGameEx25.java

import ch.aplu.jgamegrid.*;
import java.awt.*;

public class JGameEx25 extends GameGrid implements GGMouseTouchListener
{

  private int nbMatches = 20;


  public JGameEx25()
  {
    super(600, 120, 1, false);
    setTitle("Remove matches");
    for (int i = 0; i < nbMatches; i++)
    {
      Actor match = new Actor("sprites/match.gif");
      addActor(match, new Location(12 + 30 * i, 60));
      match.addMouseTouchListener(this, GGMouse.lPress);
    }
    show();
    doRun();   
  }

  public void mouseTouched(Actor actor, GGMouse mouse, Point pix)
  {
    actor.removeSelf();
    nbMatches--;
    setTitle("Remove matches. " + nbMatches + " matches remaining.");
  }

  
  public static void main(String[] args)
  {
    new JGameEx25();
  }
}

